// Dummy reporter of successor states in unfolding -*- c++ -*-

/** @file DummyReporter.C
 * Interface for reporting successor states in unfolding
 */

#ifdef __GNUC__
# pragma implementation
#endif // __GNUC__
#include "DummyReporter.h"

bool
DummyReporter::do_addState (const void*,
			    size_t)
{
  return false;
}

word_t*
DummyReporter::do_popState (bool,
			    size_t&)
{
  return 0;
}

class GlobalMarking*
DummyReporter::pop (bool)
{
  return 0;
}

#ifdef EXPR_COMPILE
bool
DummyReporter::popCompiled (bool)
{
  assert (!!myCompilation);
  return false;
}
#endif // EXPR_COMPILE

bool
DummyReporter::report (const class Transition&,
		       const class Valuation&,
		       const class GlobalMarking&,
		       bool)
{
  return true;
}

void
DummyReporter::reportDeadlock ()
{
}

#ifdef EXPR_COMPILE
bool
DummyReporter::report (const void*,
		       size_t,
		       bool,
		       bool)
{
  return true;
}
#endif // EXPR_COMPILE

void
DummyReporter::reject ()
{
}
